com.mapinfo.midev.index.rtree

## Interface IRTreeEnvelopeSearch

All Known Implementing Classes:
  RTreeEnvelopeSearch

    public interface IRTreeEnvelopeSearch

This interface provides more flexible ways to search in-memory r-tree index. The `RTree` search method asks an instance of this interface as a parameter and r-tree nodes information are passed into the `testEnvelope` method of this interface to determine if it satisfies the user-define search criteria. The isLeaf argument indicates if the given envelope is from a leaf node. The implementation have changed to behave differently for leaf and non-leaf envelopes. Most common implementation of IEnvelopeSearch would be constructed with a single Envelope and would test if this envelope intersects the envelope supplied to `testEnvelope` method. The class `RTreeEnvelopeSearch` implements this most common case.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `testEnvelope(Envelope envelope, boolean isLeaf)` Tests if the given envelope which from a r-tree node or keys satisfies the search criteria defined in this interface.

### Method Detail

#### testEnvelope

    boolean testEnvelope(Envelope envelope,
                         boolean isLeaf)

Tests if the given envelope which from a r-tree node or keys satisfies the search criteria defined in this interface.

Parameters:
  `envelope` - an envelope from a r-tree node.
  `isLeaf` - indicates if the r-tree node is leaf node.
Returns:
  true if the given envelope satisfies the user-defined search criteria.